<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>学校信息</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="../../layuiadmin/style/formSelects-v4.css"/>

</head>
<body>

<div class="layui-fluid">
    <div class="layui-row layui-col-space15">
        <div class="layui-col-md6">
            <div class="layui-card">

                <div class="layui-card-body">
                    <form class="layui-form" action="" lay-filter="component-form-element">
                        <div class="layui-row layui-col-space10 layui-form-item">

                            <div class="layui-form-item">
                                <label class="layui-form-label"><font color='red' size="4">*</font>行政区域：</label>
                                <div class="layui-input-block">
                                    <select name="area" xm-select="areaGroup" lay-verify="required"></select>
                                </div>
                            </div>
                            <div class="layui-col-lg6">
                                <label class="layui-form-label"><font color='red' size="4">*</font>学校名称：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="name" lay-verify="required" placeholder="请输入名称"
                                           autocomplete="off" class="layui-input">
                                </div>
                            </div>

                            <div class="layui-col-lg6">
                                <label class="layui-form-label">是否在用：</label>
                                <div class="layui-input-block">
                                    <input type="checkbox" name="enable" lay-skin="switch" lay-text="是|否" checked=""
                                           value="1">
                                </div>
                            </div>
                            <div class="layui-col-lg6">
                                <label class="layui-form-label">备注：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="notes" placeholder="请输入备注" autocomplete="off"
                                           class="layui-input">
                                </div>
                            </div>
                            <button id="id_save" class="layui-btn" lay-submit lay-filter="component-form-element"
                                    style="display: none">保存
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


<script src="../../layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: '../../../layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index',
        formSelects: 'formSelects-v4'
    }).use(['index', 'form', 'formSelects'], function () {
        var $ = layui.$
            , admin = layui.admin
            , formSelects = layui.formSelects
            , form = layui.form;
        var id = layui.view.getParameterByName('id');

        if (id) {
            var editdata = JSON.parse(JSON.stringify(parent.layui.table.editdata)); // 框架有Bug所以这么转换
            form.val("component-form-element", editdata);
        }
        formSelects.config('areaGroup', {
            beforeSuccess: function (eid, url, searchVal, result) {
                if (id) {
                    var area = parent.layui.table.editdata.area ?? 0;
                    for (var n in result.data) {
                        var item = result.data[n];
                        if (parseInt(area) == parseInt(item.value)) {
                            item.selected = 'selected';
                            break
                        } else {
                            var children1 =item.children
                            for (var c in children1) {
                                if (parseInt(area) == parseInt(children1[c].value)) {
                                    children1[c].selected = 'selected';
                                    break
                                } else {
                                    var children2 =children1[c].children
                                    for (var i in children2) {
                                        if (parseInt(area) == parseInt(children2[i].value)) {
                                            children2[i].selected = 'selected';
                                            break
                                        }
                                    }
                                }
                                 break
                            }
                             break
                        }
                    }
                }
                return result;
            },
        });

        formSelects.render('areaGroup', {
            max: 1,
            quickBtns: [],
            maxTips: function () {
                layer.msg("只能选择一个行政区域", {icon: 2});
            }
        });
        formSelects.btns('areaGroup', []);
        formSelects.data('areaGroup', 'server', {
            url: '/option/area_tree/'
        });

        form.on('submit(component-form-element)', function (data) {
            if (id) {
                var url = '/option/school/' + id + '/';
                var type = 'put';
            } else {
                url = '/option/school/';
                type = 'post'
            }
            admin.req({
                url: url
                , data: data.field
                , type: type
                , done: function (res) {
                    parent.layui.onSubmitChild(res.data);
                }
            });

            return false;
        });

        parent.layui.submitChild = function () {
            $("#id_save").click();
        };
    });
</script>
</body>
</html>
